#ifndef MAP_CONTROLLER_HPP_
#define MAP_CONTROLLER_HPP_

#include <Item/IEquipment.hpp>
#include <Controller/Controller.hpp>
#include <Entity/PhysicsEntity/CameraEntity/Player/Player.hpp>
#include <RemoteMap/RemoteMap.hpp>

class MapController final : public Controller
{
private:
    bool initialized = false;
    RemoteMap remoteMap;

public:
    MapController(ControllerChannel &channel);

    void onConnect(IEquipment::MapLevel level);

    virtual Widget* getWidget() override;
    virtual bool isBusy() override;
    virtual void update() override;
};

#endif